Subject: <draft-hinden-6man-rfc2460bis-06.txt>

From: Bob Hinden <[email-masked]>
Date: Sun, 20 Sep 2015 10:05:38 -0700

Hi,

I published the -06 version of the RFC2460bis draft.  See links below.

The purpose of this draft is to incorporate the updates dealing with Extension headers as defined in RFC6564, RFC7045, and RFC7112.  The changes include:

    RFC6564: Added new Section 4.8 that describes
             recommendations for defining new Extension headers and
             options

    RFC7045: The changes were to add a reference to RFC7045,
             change the requirement for processing the hop-by-hop
             option to a should, and added a note that due to
             performance restrictions some nodes won't process the Hop-
             by-Hop Option header.

    RFC7112: The changes were to revise the Fragmentation
             Section to require that all headers through the first
             Upper-Layer Header are in the first fragment.  This
             changed the text describing how packets are fragmented and
             reassembled and added a new error case.

    Editorial changes.

You can see the diff from the previous version at:

 https://tools.ietf.org/rfcdiff?url2=draft-hinden-6man-rfc2460bis-06.txt

Please review this draft to verify that the changes are appropriate.  The updates in these RFCs (especially RFC7112) were challenging to incorporate.  The changes have been reviewed by most of the authors of these RFCs.

This is part of the project to move the core IPv6 specifications to Internet Standard.

With this draft, all of the errata and RFC2460 updating RFCs have been incorporated.  The next version (-07) will update references to current versions and correctly assign references to normative and informative.

Regards,
Bob

> On Sep 20, 2015, at 9:46 AM, [email-masked] wrote:
> 
> 
> A new version of I-D, draft-hinden-6man-rfc2460bis-06.txt
> has been successfully submitted by Robert M. Hinden and posted to the
> IETF repository.
> 
> Name:		draft-hinden-6man-rfc2460bis
> Revision:	06
> Title:		Internet Protocol, Version 6 (IPv6) Specification
> Document date:	2015-09-20
> Group:		Individual Submission
> Pages:		35
> URL:            https://www.ietf.org/internet-drafts/draft-hinden-6man-rfc2460bis-06.txt
> Status:         https://datatracker.ietf.org/doc/draft-hinden-6man-rfc2460bis/
> Htmlized:       https://tools.ietf.org/html/draft-hinden-6man-rfc2460bis-06
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-hinden-6man-rfc2460bis-06
> 
> Abstract:
>   This document specifies version 6 of the Internet Protocol (IPv6),
>   also sometimes referred to as IP Next Generation or IPng.  It
>   obsoletes RFC2460
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat